FreeMat

- Main Page
- Related Pages

vtkMutexLock

Section: Visualization Toolkit Common Classes

# Usage

vtkMutexLock allows the locking of variables which are accessed through different threads. This header file also defines vtkSimpleMutexLock which is not a subclass of vtkObject.

To create an instance of class vtkMutexLock, simply invoke its constructor as follows

      obj = vtkMutexLock

# Methods

The class vtkMutexLock has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkMutexLock class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkMutexLock = obj.NewInstance ()`
- `vtkMutexLock = obj.SafeDownCast (vtkObject o)`
- `obj.Lock (void )` - Lock the vtkMutexLock
- `obj.Unlock (void )` - Unlock the vtkMutexLock